/*
    Document   : base
    Created on : 20-ago-2013, 17:37:53
    Author     : Edgar Cevallos <ecevallos@batchline.es>
    Description:
        Purpose of the stylesheet follows.
*/
.modal-dialog {
    max-width: 40vw;
    width: auto;
}


body {
    font-family: Helvetica, Arial;
    font-size: small;
}

.menuVertical {
    list-style: none;
    padding: 0;
    width: 12em;
    margin: 0;
}

.menuVertical div {
    font-weight: bold;
    color:white;
    cursor: pointer;
    padding: 5px;
    margin:0;
    background-color: #375d84;
    background-image: url("../img/arrowdown.gif");
    background-position: right center;
    background-repeat: no-repeat;
    border-bottom: 1px solid #eff2f5;
}

.menuVertical ul {
    list-style-type: none;
    display: none;
    background-color: #eff2f5;
    padding-left: 0;
    z-index: 1000;
    margin-left: 0;
}

.menuVertical ul li {
    font-weight: normal;
    cursor: auto;
    padding: 0.4em;
    color: #375d84;
    display:block;
    z-index: 1000;
}

.menuVertical ul li.seccionMenu {
    color: white;
    background-color: #375D84;
}

.menuVertical ul li:hover {
    background-color: #d6dfec;
    font-weight: normal;
    cursor: auto;
    padding: 0.4em;
    color: #375d84;
    display: block;
}

.menuVertical ul li.seccionMenu:hover {
    color: white;
    background-color: #375D84;
}

.menuVertical a {
    display: block;
    text-decoration: none;
    color: #375d84;
}

table.detail tbody th {
    text-align: left;
}

table.detail tbody th,
table.detail tbody td {
    padding: 0.4em;
}

div.dataTables_length label {
	float: left;
	text-align: left;
}

div.dataTables_length select {
	width: 75px;
}

div.dataTables_filter {
    float: right;
}

div.dataTables_info {
	padding-top: 8px;
}

div.dataTables_paginate {
	float: right;
	margin: 0;
}

table thead th {
    text-align: center !important;
}

table.dataTable {
	clear: both;
	margin-bottom: 6px !important;
	max-width: none !important;
}

table.table-nofluid {
    width: auto;
}

table.dataTable thead th {
    background-color: #369;
    color: white;
    text-align: center;
    vertical-align: middle;
}

table.table-nofluid thead th {
    white-space: nowrap;
}

table.table-nofluid tbody td {
    white-space: nowrap;
}

table.dataTable thead th.sorting,
table.dataTable thead th.sorting_asc,
table.dataTable thead th.sorting_desc,
table.dataTable thead th.sorting_asc_disabled,
table.dataTable thead th.sorting_desc_disabled {
    padding-right: 20px;
    padding-left: 20px;
    cursor: pointer;
    cursor: hand;
}

table.dataTable thead th[class^="sorting_"],
    table.dataTable thead th[class*=" sorting_"],
    table.dataTable thead th.sorting:hover
{
    background-repeat: no-repeat;
    background-position-y: center;
    background-position-x: right;
}

table.dataTable thead th.sorting:hover {
    background-image: url('../img/sort_both.gif');
}

table.dataTable thead th.sorting_disabled {
    cursor: default;
}

table.dataTable thead th.sorting_asc {
    background-image: url('../img/sort_asc.gif');
}

table.dataTable thead th.sorting_desc {
    background-image: url('../img/sort_desc.gif');
}

table.dataTable thead th.sorting_asc_disabled {
    background-image: url('../img/sort_asc_disabled.gif');
}

table.dataTable thead th.sorting_desc_disabled {
    background-image: url('../img/sort_desc_disabled.gif');
}

table.dataTable th:active {
	outline: none;
}

table.dataTable tr.odd {
    background-color: #f5f5f5;
}

table.dataTable tr.even {
    background-color: #D3E9FF;
}

table.dataTable tbody tr td {
    vertical-align: middle !important;
    white-space: nowrap;
}

table.dataTable thead th {
    text-align: center !important;
}

/* Scrolling */
div.dataTables_scrollHead table {
	margin-bottom: 0 !important;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

table.table.dataTable:not(.table-nofluid) {
    width: 100% !important;
}

div.dataTables_scrollHeadInner:not(.table-nofluid) {
    /*width: 100% !important;*/
}

div.dataTables_scrollHead table thead tr:last-child th:first-child,
div.dataTables_scrollHead table thead tr:last-child td:first-child {
	border-bottom-left-radius: 0 !important;
	border-bottom-right-radius: 0 !important;
}
.caja {
  border: 1px solid #f0f0f0;
  border-radius: 8px;
  padding: 12px;
  background-color: #d3e9ff;

  display: flex;
  justify-content: space-between; 
}

.botones {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

div.dataTables_scrollBody table {
	border-top: none;
	margin-bottom: 0 !important;
}
/*Centra todo lo el contenido de data tables*/
table.dataTable tbody td {
    text-align: center;
}

div.dataTables_scrollBody tbody tr:first-child th,
div.dataTables_scrollBody tbody tr:first-child td {
	border-top: none;
}

div.dataTables_scrollFoot table {
	border-top: none;
}

.modal-backdrop, .modal-backdrop.fade.in {
    opacity: 0.2;
}

#puntoControlDivEstados .legendColorBox {
    display: none;
}

#puntoControlDivEstados .legendLabel {
    font-size: small;
    font-weight: bolder;
}

#controlPanelLateral {
    border: solid 1px lightsteelblue;
}

#controlPanelCentral {
    /*border: solid 1px lightblue;*/
    min-height: 500px;
    height: 500px;
}

@media (min-width: 768px) {
    #controlPanelLateral { height: 650px; }
    #controlPanelCentral { height: 500px; }
    min-height{ height: 500px; }
}

.toolbar {
    background-color: lightsteelblue;
    padding: 0.2em;
}


.busqueda {
    color: gray;
}

.busqueda:focus {
    color: black;
}

.contenedorArbol {
    width: 100%;
}

.tablaInformacion {
    border-collapse: separate;
    border: 0px;
    border-spacing: 1em;
    margin-bottom: 2em;
}

.tablaInformacion tbody th {
    /*text-align: right;*/
    text-align: left;
    font-weight: bold;
    margin-right: 1em;
}


@media (min-width: 1200px) {
  .container {
    max-width: 98%;
  }
}

@media (max-width: 480px) {
    /*body {
      font-size: 18px;
    }

    .hidden-phone {
       display: block;
    }*/
}